Bug 1444985 - Dell SC and PS series Multiple Instances Cinder support
Summary: Dell SC and PS series Multiple Instances Cinder support
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alan Bishop
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 16:57 UTC by Rajini Karthik
Modified: 2017-05-17 21:37 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 21:37:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
dell multibackend (2.89 KB, text/plain)
2017-05-03 14:52 UTC, Rajini Karthik
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1309550 high CLOSED [RFE] Update Cinder heat template to allow multiple Ceph pools 2020-10-14 00:28:05 UTC

Internal Links: 1309550

Description Rajini Karthik 2017-04-24 16:57:47 UTC
Description of problem:
Currently with composable roles and services, do we have the ability to deploy multiple of the same cinder backend ( for Dell SC and PS Series we had this capability in Mitaka and want to make sure we have the same capability

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Emilien Macchi 2017-04-24 17:27:48 UTC
I think you can, you just need to declare the environment for each driver and that's all. Have you tested it?

Comment 2 Rajini Karthik 2017-04-24 18:26:18 UTC
Can you have multiple of the same backend? Like multiple PS series , Multiple SC series or multiple Ceph? And any combination of all
https://bugzilla.redhat.com/show_bug.cgi?id=1309550

Comment 3 Paul Grist 2017-05-03 13:25:58 UTC
This one looks more like a question than a bug. Has this been tested, it sounds like it should work even upstream.

Comment 4 Rajini Karthik 2017-05-03 14:52:40 UTC
Created attachment 1275925 [details]
dell multibackend

Comment 5 Rajini Karthik 2017-05-03 14:53:49 UTC
I have attached a sample environments file that worked prior to compo sable roles and services uses multiple Eqlx backends. Will the same work now?

Comment 6 Paul Grist 2017-05-03 20:48:50 UTC
Thanks, let's see if Alan can answer based on the recent fixes for those.

Comment 7 Alan Bishop 2017-05-17 16:52:14 UTC
(In reply to Rajini Ram from comment #5)
> I have attached a sample environments file that worked prior to compo sable
> roles and services uses multiple Eqlx backends. Will the same work now?

Yes, it will work the same (I verified). You can still use an environment file to declare multiple "user enabled" back ends. The syntax is unaffected by the transition to composable roles.

Unless I misunderstand the initial concern, I think this can be closed WORKSFORME.

Comment 8 Rajini Karthik 2017-05-17 19:49:52 UTC
Thanks Alan

Comment 9 Sean Cohen 2017-05-17 21:37:41 UTC
(In reply to Alan Bishop from comment #7)
> (In reply to Rajini Ram from comment #5)
> > I have attached a sample environments file that worked prior to compo sable
> > roles and services uses multiple Eqlx backends. Will the same work now?
> 
> Yes, it will work the same (I verified). You can still use an environment
> file to declare multiple "user enabled" back ends. The syntax is unaffected
> by the transition to composable roles.
> 
> Unless I misunderstand the initial concern, I think this can be closed
> WORKSFORME.

Thans Alan,
Closing accordingly.
Sean


Note You need to log in before you can comment on or make changes to this bug.